: Class NullHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Handler
Class NullHandler

    java.lang.Object
      |
      +--com.mortbay.HTTP.Handler.NullHandler

Direct Known Subclasses:
  BasicAuthHandler, FileHandler, FilterHandler, ForwardHandler, LogHandler, NotFoundHandler, ParamHandler, ProxyHandler, ServletHandler, SessionHandler, TranslateHandler, VirtualHostHandler

public class NullHandler
extends java.lang.Object
implements HttpHandler

Null HttpHandler Convenience base class with null handlers for all methods

Version:
  $Id: NullHandler.java,v 2.6 1999/10/09 15:07:26 gregw Exp $
Author:
  Greg Wilkins
See Also:
  `Interface.HttpHandler`

Field Summary
`protected HttpServer` | `httpServer`

Constructor Summary
`NullHandler()`

Method Summary
`void` | `destroy()` Destroy Handler.
`protected static PropertyTree` | `getProperties(PropertyTree props)` Extract property sub tree.
`void` | `handle(HttpRequest request, HttpResponse response)` Constructor
`javax.servlet.Servlet` | `servlet(java.lang.String name)` Return servlet by Name within this handler or null if no servlets
`java.util.Enumeration` | `servletNames()` Return enumeration of servlet Names within this handler or null if no servlets
`void` | `setProperties(java.util.Properties p)`
`void` | `setServer(HttpServer server)` Set server.
`java.lang.String` | `translate(java.lang.String path)` Translate a path string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### httpServer

    protected HttpServer httpServer

Constructor Detail

### NullHandler

    public NullHandler()

Method Detail

### setProperties

    public void setProperties(java.util.Properties p)
                       throws java.io.IOException

  Specified by:
    setProperties in interface HttpHandler

### handle

    public void handle(HttpRequest request,
                       HttpResponse response)
                throws java.lang.Exception

  Description copied from interface: HttpHandler
  Constructor
  Specified by:
    handle in interface HttpHandler
  Tags copied from interface: HttpHandler
  Parameters:
    `request` - The HTTP requests to be handled
    `response` - The HTTP response to be used.

### translate

    public java.lang.String translate(java.lang.String path)

  Description copied from interface: HttpHandler
  Translate a path string. Used by getRealPath method.
  Specified by:
    translate in interface HttpHandler
  Tags copied from interface: HttpHandler
  Returns:
    the translated path

### servletNames

    public java.util.Enumeration servletNames()

  Description copied from interface: HttpHandler
  Return enumeration of servlet Names within this handler or null if no servlets
  Specified by:
    servletNames in interface HttpHandler

### servlet

    public javax.servlet.Servlet servlet(java.lang.String name)

  Description copied from interface: HttpHandler
  Return servlet by Name within this handler or null if no servlets
  Specified by:
    servlet in interface HttpHandler

### setServer

    public void setServer(HttpServer server)
                   throws java.lang.Exception

  Description copied from interface: HttpHandler
  Set server. This method will be called when the configuration is given to a particular server. If a handler holds the the value passed, it cannot be used in more than one server configuration instances.
  Specified by:
    setServer in interface HttpHandler

### getProperties

    protected static PropertyTree getProperties(PropertyTree props)
                                         throws java.io.IOException,
                                                java.io.FileNotFoundException

  Extract property sub tree. Extract sub tree from file name PROPERTIES key merged with property tree below PROPERTY key.
  Parameters:
    `props` - PropertyTree
  Returns:
    PropertyTree

### destroy

    public void destroy()

  Destroy Handler. Null implementation.
  Specified by:
    destroy in interface HttpHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD